Bug 806900 - multiple entries of "inode.weight=1" under "xlator.performance.io-cache.priv" section in statedump log file
multiple entries of "inode.weight=1" under "xlator.performance.io-cache.priv"...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-26 09:07 EDT by Shwetha Panduranga
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:22:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
statedump log file (261.56 KB, application/octet-stream)
2012-03-26 09:07 EDT, Shwetha Panduranga
no flags Details

  None (edit)
Description Shwetha Panduranga 2012-03-26 09:07:54 EDT
Created attachment 572752 [details]
statedump log file

Description of problem:
when statedump was taken on glusterfs client process, it reported huge number of <inode.weight=1> key value pairs under "xlator.performance.io-cache.priv"  section

There are 1672 <inode.weight=1> entries in the attached statedump log file

[03/26/12 - 22:27:11 root@APP-CLIENT1 /]# grep "inode.weight" /tmp/glusterdump.22698.dump | wc -l
1672

Version-Release number of selected component (if applicable):
mainline

How reproducible:
often

Steps to Reproduce:
1.create a replicate volume (1X3).Start the volume
2.create fuse, nfs mounts from client. Start write operations on all the mounts.
3.perform graph change (performance.read-ahead/ performance.write-behind on/off)
4.take statedump of glusterfs client process.
Comment 1 Anand Avati 2012-04-01 09:16:39 EDT
CHANGE: http://review.gluster.com/3014 (performance/io-cache: Enhance state-dump output) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Shwetha Panduranga 2012-04-12 05:25:38 EDT
Verified on 3.3.0qa34. Works fine.

Note You need to log in before you can comment on or make changes to this bug.